### Name: sm.monotonicity
### Title: A test of monotonicity in a regression curve.
### Aliases: sm.monotonicity
### Keywords: smooth regression

### ** Examples

#     Radiocarbon dating data

provide.data(radioc)
ind     <- (Cal.age>5000 & Cal.age<6000)
cal.age <- Cal.age[ind]
rc.age  <- Rc.age[ind]
sm.monotonicity(cal.age, rc.age, method = "aicc", nboot = 200)

#     Hosmer & Lemeshow birth data

provide.data(birth)
sm.monotonicity(Lwt[Smoke == "N"], Low[Smoke == "N"], type = "binomial")



